package com.xhu.controller;

import com.xhu.domain.Student;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.*;
//  @RestController//如果一个控制器类下的所有控制器方法都返回JSON格式数据且不进
//行跳转，可以使用@RestController代替@Controller，此时每个方
  //      法上的@ResponseBody都可以省略。
@Controller
@RequestMapping("/student")
public class StudentController {
    //@RequestMapping(value = "/{id}",method = RequestMethod.DELETE)
    @DeleteMapping("/{id}")
    public String deleteStudent(@PathVariable("id") int id){
        //@PathVariable("id")括号里面的内容可以省略
        System.out.println("删除id为"+id+"的学生");
        return "hello";
    }
    //@RequestMapping(value = "/{di}",method = RequestMethod.GET)
    @GetMapping("/{id}")
    public String findStudentById(@PathVariable("di") int id){
        //@PathVariable("id")括号里面的内容可以省略
        System.out.println("查询id为"+id+"的学生");
        return "hello";
    }
    //@RequestMapping(value = "/{id}",method = RequestMethod.POST)
    @PostMapping("/{id}")
    public String addStudent(@PathVariable int id, Student student){
        //@PathVariable("id")括号里面的内容可以省略
        System.out.println(student);
        System.out.println("新增id为"+id+"的学生");
        return "hello";
    }
    //@RequestMapping(value = "/{id}",method = RequestMethod.PUT)
    @PutMapping("/{id}")
    public String updateStudent(@PathVariable int id, Student student){
        //@PathVariable("id")括号里面的内容可以省略
        System.out.println(student);
        System.out.println("修改id为"+id+"的学生");
        return "hello";
    }
}
